org.eclipse.jetty.annotations

## Class PreDestroyAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
  - - org.eclipse.jetty.annotations.PreDestroyAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class PreDestroyAnnotationHandler
    extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

### Constructor Summary

Constructors
Constructor and Description
`PreDestroyAnnotationHandler(WebAppContext wac)`

### Method Summary

Methods
`void` `doHandle(Class clazz)`

### Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

`handle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreDestroyAnnotationHandler

    public PreDestroyAnnotationHandler(WebAppContext wac)

### Method Detail

#### doHandle

    public void doHandle(Class clazz)

Specified by:
  `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`